Dry-run a registry cleanup policy
POST
/api/v1/organizations/{orgID}/registry/cleanup-policies/{policyID}/dry-run
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry/cleanup-policies/example/dry-run';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry/cleanup-policies/example/dry-run \ --header 'Authorization: Bearer <token>'Evaluates the policy without deleting anything.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
policyID
required
string
Cleanup policy identifier.
Responses
Section titled “ Responses ”The dry-run result.
Media type application/json
object
repositories
required
Array<object>
object
name
required
string
tag_count
required
integer
size_bytes
required
integer format: int64
total_tags
required
integer
total_bytes
required
integer format: int64
Example generated
{ "repositories": [ { "name": "example", "tag_count": 1, "size_bytes": 1 } ], "total_tags": 1, "total_bytes": 1}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The requested resource was not found.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}